Vla-get-volume

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-volume vla-object ' ' ' )


機能
ソリッドの体積を取得する。


引数
  • vla-object … 3DSolid のVLAオブジェクト


戻り値
ソリッドの体積。


サンプル
(vl-load-com)
(defun c:Example_Volume()
    ;; ソリッドのボックスを作成して体積を取得するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; ボックスの定義
    (setq center (vlax-3d-point 5 5 0)
          boxLength 5
	  boxWidth 7
	  boxHeight 10)
    
    ;; ソリッドのボックスを作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq boxObj (vla-AddBox modelSpace center boxLength boxWidth boxHeight))
        
    ;; 体積を取得
    (setq volume (vla-get-Volume boxObj))
    (alert (strcat "ボックスの体積は " (rtos volume 2)))
)

関連事項